package com.caimei.entity;

import java.io.Serializable;
import java.util.Date;

public class CmOperationUser implements Serializable {
    private Integer id;
    private Integer userOrganizeID;      //具体对应cm_user_organize表ID
    private Integer clubID;              //会所ID：隶属于哪个会所的运营人员
    private String mobile;              //手机号码
    private String linkName;            //联系人
    private String invitationCode;      //邀请码
    private String status;              //1未绑定，2已绑定
    private String nickName;            //微信昵称
    private String openid;               //小程序openid
    private Date invitationCodeTime;    //邀请码生成时间（此时间起48小时有效）
    private Date bindTime;              //绑定时间
    private Date updateTime;            //更新时间
    private Date addTime;               //添加时间
    private String delFlag;              //0 有效 其它无效
    private String clubStatus;          //会所状态  (90, "已上线"),(91, "已冻结")
    private Integer userID;             //用户ID：隶属于哪个用户的运营人员

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserOrganizeID() {
        return userOrganizeID;
    }

    public void setUserOrganizeID(Integer userOrganizeID) {
        this.userOrganizeID = userOrganizeID;
    }

    public Integer getClubID() {
        return clubID;
    }

    public void setClubID(Integer clubID) {
        this.clubID = clubID;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getLinkName() {
        return linkName;
    }

    public void setLinkName(String linkName) {
        this.linkName = linkName;
    }

    public String getInvitationCode() {
        return invitationCode;
    }

    public void setInvitationCode(String invitationCode) {
        this.invitationCode = invitationCode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public Date getInvitationCodeTime() {
        return invitationCodeTime;
    }

    public void setInvitationCodeTime(Date invitationCodeTime) {
        this.invitationCodeTime = invitationCodeTime;
    }

    public Date getBindTime() {
        return bindTime;
    }

    public void setBindTime(Date bindTime) {
        this.bindTime = bindTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getClubStatus() {
        return clubStatus;
    }

    public void setClubStatus(String clubStatus) {
        this.clubStatus = clubStatus;
    }

    public Integer getUserID() {
        return userID;
    }

    public void setUserID(Integer userID) {
        this.userID = userID;
    }
}
