package com.caimei.mapper.user;

import com.caimei.entity.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PersonalMapper {

    Club myCentre(CmOperationUser operationUser);

    List<CmUserBalanceRecord> touchBalance(CmUserBalanceRecord balanceRecord);

    List<Province> findAllProvince();

    List<City> findAllCity(Long provinceid);

    List<Town> findAllTown(Integer cityid);

    List<Address> findAddress(Integer userID);

    Address findCantonal(Integer townID);

    void saveAddress(Address address);

    void updateAddress(Address address);

    void deleteAddress(Integer addressID);

    Address findDefaultAddress(Integer userID);

    Integer ableUserMoney(Integer userId);
}
